Share via


Web Apps - Get Private Link Resources

Description for Gets the private link resources

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/privateLinkResources?api-version=2025-05-01

URI Parameters

Name In Required Type Description
name
path True

string

Name of the app.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

PrivateLinkResourcesWrapper

Azure operation completed successfully.

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Sample request

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.Web/sites/testSite/privateLinkResources?api-version=2025-05-01

Sample response

{
  "value": [
    {
      "name": "site",
      "type": "Microsoft.Web/sites/privateLinkResources",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.Web/sites/testSite/privateLinkResources/site",
      "properties": {
        "groupId": "sites",
        "requiredMembers": [
          "sites"
        ],
        "requiredZoneNames": [
          "privatelink.testsite.azurewebsites.net"
        ]
      }
    }
  ]
}

Definitions

Name Description
DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

PrivateLinkResource

A private link resource

PrivateLinkResourceProperties

Properties of a private link resource

PrivateLinkResourcesWrapper

Wrapper for a collection of private link resources

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

PrivateLinkResource

A private link resource

Name Type Description
id

string

name

string

Name of a private link resource

properties

PrivateLinkResourceProperties

Properties of a private link resource

type

string

PrivateLinkResourceProperties

Properties of a private link resource

Name Type Description
groupId

string

GroupId of a private link resource

requiredMembers

string[]

RequiredMembers of a private link resource

requiredZoneNames

string[]

RequiredZoneNames of a private link resource

PrivateLinkResourcesWrapper

Wrapper for a collection of private link resources

Name Type Description
value

PrivateLinkResource[]

A private link resource